.filter {

    &.open {

        .filter__body {
            opacity: 1;
            visibility: visible;
            transition: var(--transition-time);
        }
    }

    &__body {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1200;
        position: fixed;
        background: white;
        opacity: 0;
        visibility: hidden;
        transition: var(--transition-time);
        display: flex;
        flex-direction: column;
    }

    &__header {
        height: rem(48);
        padding: rem(8) rem(12);
        border-bottom: 1px solid #DCDCDC;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__clear {
        display: none;
    }

    &__close {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        display: block;
        width: rem(24);
        height: rem(24);
        cursor: pointer;
        stroke: var(--gray);
        background: transparent;
    }

    &__main {
        flex-grow: 1;
        position: relative;
    }

    &__wrap {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
        overflow-x: hidden;
        overflow-y: auto;
    }

    &__content {
        padding: rem(24) rem(12) rem(12) rem(12);
        display: flex;
        flex-direction: column;
        row-gap: rem(16);
    }

    &__item {
        display: flex;
        flex-direction: column;
        row-gap: rem(8);
        column-gap: rem(8);
    }

    &__label {
        color: var(--gray-dark);
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(18);
        width: rem(120);
        flex-shrink: 0;
    }

    &__field {
        flex-grow: 1;
    }

    &__action {
        display: block;
    }

    &__control {
        flex-grow: 1;
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &__footer {
        padding: rem(10) rem(12);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(8);
        row-gap: rem(10);

        > .btn {
            width: calc(50% - 0.25rem);
        }
    }

    &__adding {
        width: 100%;
        position: relative;
        padding-bottom: rem(20);

        &:before {
            left: -20px;
            bottom: 0;
            right: -20px;
            content: '';
            height: 1px;
            background: #E8E8E8;
            position: absolute;
        }

        &.open {

            .filter__menu {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &__menu {
        left: 0;
        opacity: 0;
        visibility: hidden;
        border-radius: rem(8);
        bottom: calc(100% + 8px);
        position: absolute;
        width: rem(320);
        max-height: rem(280);
        overflow-x: hidden;
        overflow-y: auto;
        border: 1px solid #F5F5F5 !important;
        box-shadow:   var(--shadow-2)
    }

    &__row {
        display: grid;
        grid-template-columns: 1fr;
    }

    &__clear {
        padding: 0;
        cursor: pointer;
        border: none;
        outline: none;
        display: none;
        font-size: rem(13);
        line-height: rem(18);
        color: var(--blue);
        text-decoration: none;
        white-space: nowrap;
        background: transparent;
        transition: var(--transition-time);

        &:hover {
            color: var(--blue-hover);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            padding: rem(8) rem(36);
        }

        &__content {
            padding: rem(24) rem(36) rem(12) rem(36);
        }

        &__item {
            flex-direction: row;
            align-items: center;
        }

        &__label {
            color: var(--gray-dark);
            font-weight: 400;
            font-size: rem(14);
            line-height: rem(18);
            width: rem(120);
            flex-shrink: 0;
        }

        &__adding {
            padding: 0;
            width: calc(33.33% - 0.25rem);
            flex-shrink: 0;

            &:before {
                display: none;
            }
        }

        &__footer {
            flex-wrap: nowrap;
            padding: rem(10) rem(36) rem(24) rem(36);

            > .btn {
                width: calc(33.33% - 0.25rem);
                flex-shrink: 0;
            }
        }

        &__menu {
            width: rem(560);
            max-height: rem(380);
        }

        &__row {
            display: grid;
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        position: relative;

        &__body {
            left: 0;
            bottom: auto;
            right: auto;
            width: rem(490);
            border-radius: rem(20);
            top: calc(100% + 10px);
            height: auto;
            position: absolute;
            box-shadow: var(--shadow-2);
        }

        &__header {
            border-bottom: none;
        }

        &__wrap {
            position: relative;
        }

        &__close {
            display: none;
        }

        &__clear {
            display: block;
        }

        &__menu {
            top: calc(100% + 8px);
            bottom: auto;
        }
    }
}

.filter-open {

}

.dropdown-filter {
    left: rem(-160);
    top: calc(100% + 0.5rem);
    width: rem(488);
    padding: rem(24);
    background: white;
    border-radius: rem(20);
    box-shadow: var(--shadow);
    color: rgba(1, 118, 246, 0.1);

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(20);
    }

    &__title {
        font-size: rem(20);
        line-height: 140%;
        color: var(--black);
    }

    &__clear {
        padding: 0;
        cursor: pointer;
        border: none;
        outline: none;
        font-size: rem(13);
        line-height: rem(18);
        color: var(--blue);
        text-decoration: none;
        white-space: nowrap;
        background: transparent;
        transition: var(--transition-time);

        &:hover {
            color: var(--blue-hover);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__content {
        display: flex;
        flex-direction: column;
        row-gap: rem(10);
    }

    &__item {
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &__label {
        color: var(--gray-dark);
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(18);
        width: rem(120);
        flex-shrink: 0;
    }

    &__select {
        flex-grow: 1;
    }

    &__field {
        flex-grow: 1;
    }

    &__action {
        display: block;
    }

    &__control {
        flex-grow: 1;
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &__footer {
        margin-top: rem(24);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__adding {
        min-width: rem(560);
        box-shadow: var(--shadow-2);
    }

    @include media-breakpoint-up(lg) {
        left: 0;
    }
}

.filter-open {
    overflow: hidden;

    @include media-breakpoint-up(lg) {
        overflow: visible;
    }
}

.btn-add {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(20);
    font-weight: 400;
    font-size: rem(14);
    white-space: nowrap;
    background: transparent;
    stroke: var(--blue);
    color: var(--blue);
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: rem(8);

    i {
        font-size: 0;
        line-height: 0;
        height: rem(12);
        flex-shrink: 0;
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        width: 100%;
        min-height: rem(44);
        min-width: rem(160);
        line-height: rem(20);
        padding: rem(4) rem(16);
        fill: var(--blue);
        color: var(--blue);
        stroke: var(--blue);
        background: transparent;
        border-radius: rem(10);
        border: 1px solid var(--blue);

        &:hover {
            fill: white;
            color: white;
            stroke: white;
            background: var(--blue);
            border-color: var(--blue);
        }

        &:active {
            fill: var(--blue);
            color: var(--blue);
            stroke: var(--blue);
            background: transparent;
            border-color: var(--blue);
        }
    }
}
